options linesize=80 nocenter pagesize=66;
*program immig91.sas: obtains immigrant	status from 1991 topical module 2;
*Note that there is no PPMIS code in this topical module, even though
 there should be according to the Users' Guide;
*Date: July 2003;

/* libname immig '~ldshore/disk2/immig'; */
libname immig '';
/* filename in1 PIPE 'gunzip -c /files2/ldshore/sipp/1991/da9855tm.wave2.gz'; */
filename in1 'c:\SIPP_data\sipp91t2.dat';
data immig.immig91;
infile in1 lrecl=1361;

input
@6     PPID             9.
@16    STATE            2.
@20    HHADDI2          2.
@25    PPENTRY          2.
@27    PPPNUM           3.
@42    RRP              1.
@58    ETHNICTY         2. 
@1280  TM8730        2.
@1282  TM8732        1.
@1283  TM8734        1.
;

*rename/recode immigrant variables;
country=tm8730;
if country=0 then country=.;

immig=tm8732;
if immig=2 then immig=0;
if tm8734=3 then immig=0;

noncit=immig;
if tm8734=1 then noncit=0;

*yrcame=tm8736;

*create ids that are same as for core data;
syear='91';
id1='000000000';
id1=ppid;
id2='00';
id2=ppentry;
id3='000';
id3=pppnum;
sunique=syear||id1||id2||id3;

drop tm8730 tm8732 tm8734;

proc means;

proc freq;
tables country immig noncit;
tables immig*noncit;

