/* Add Welfare Waivers variables */
/* Note: Welfare Waivers labels are at end of this file. */

* recode date;
/* TEMPORARY - CHANGE DATE FORMAT !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */
 if year4 ge 2000 then date=date+200000; /* Use 4-digit year */

 length mwapp mwimp nmwaiva nmwaivi tlimita tlimiti
        workreqa workreqi famcapa famcapi jobsa jobsi 
        disregwa disregwi sancta sancti carrota carroti 
        sticka sticki  tanf ttlimit tfamcap tdisreg 4;
 mwapp=0;  mwimp=0;  nmwaiva=0;     nmwaivi=0;
 tlimita=0;     tlimiti=0;     workreqa=0;    workreqi=0;
 famcapa=0;     famcapi=0;     jobsa=0;  jobsi=0;
 disregwa=0;    disregwi=0;    sancta=0; sancti=0;
tanf=0;    ttlimit=0;    tfamcap=0;    tdisreg=0;

*Alabama, cpstate=63, state=1, loop;
if state=1 then do;
     if date>=9611 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Alaska, cpstate=94, state=2, loop;
if state=2 then do;
     if date>=9707 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Arizona, cpstate=86, state=4, loop;
if state=4 then do;
     if (date>9505 and date<9610) then do;
          mwapp=1; tlimita=1; famcapa=1; sancta=1;
     end; 
     if (date>9511 and date<9610) then do;
          mwimp=1; tlimiti=1; famcapi=1; sancti=1;
     end;
     if date>=9610 then do;
          tanf=1; ttlimit=24; tfamcap=1; tdisreg=1;
     end;
end;

*Arkansas, cpstate=71, state=5, loop;
if state=5 then do;
     if (date>9404 and date<9707) then do;
          mwapp=1; famcapa=1;
     end;
     if (date>9407 and date<9707) then do;
          mwimp=1; famcapi=1;
     end;
     if date>=9707 then do;
          tanf=1; ttlimit=24; tfamcap=1; tdisreg=1;
     end;
end;

*California, cpstate=93, state=6, loop;
if state=6 then do;
     if (date>9210 and date<9611) then do;
          mwapp=1; disregwa=1; 
     end;
     if (date>9212 and date<9611) then do;
          mwimp=1; disregwi=1;
     end;
     if (date>9509 and date<9611) then do;
          workreqa=1; workreqi=1; 
     end;
     if (date>9608 and date<9611) then do;
          famcapa=1; 
     end;
     if (date>9709 and date<9611) then do;
          famcapi=1;
     end;
     if date>=9611 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end;
end;

*Colorado, cpstate=84, state=8, loop;
if state=8 then do;
     if date>=9707 then do;
          tanf=1; ttlimit=60; 
     end;
end;

*Connecticut, cpstate=16, state=9, loop;
if state=9 then do;
     if (date>9408 and date<9610) then do;
          mwapp=1; jobsa=1; disregwa=1; sancta=1;
     end;
     if (date>9512 and date<9610) then do;
          tlimita=1; famcapa=1; jobsa=1;
     end;
     if (date>9601 and date<9610) then do;
          mwimp=1; jobsi=1; disregwi=1; sancti=1; tlimiti=1; famcapi=1;
     end;
     if date>=9610 then do;
          tanf=1; ttlimit=21; tfamcap=1; tdisreg=1;
     end;
 end;

*Delaware, cpstate=51, state=10, loop;
if state=10 then do;
     if (date>9505 and date<9703) then do;
          mwapp=1; tlimita=1; workreqa=1; famcapa=1; 
          jobsa=1; disregwa=1; sancta=1;
     end;
     if (date>9510 and date<9703) then do;
          mwimp=1; workreqi=1; disregwi=1;
     end;
     if (date>9703 and date<9703) then do;
          tlimiti=1; famcapi=1; jobsi=1; sancti=1;
     end;
     if date>=9703 then do;
          tanf=1; ttlimit=48; tfamcap=1; 
     end;
end;

*District of Columbia, cpstate=53, state=11, loop;
if state=11 then do;
     if date>=9703 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Florida, cpstate=59, state=12, loop;
if state=12 then do;
     if (date>9606 and date<9610) then do;
          mwapp=1; famcapa=1; jobsa=1;
     end;  
     if date>=9610 then do;
          tanf=1; ttlimit=24; tfamcap=1; tdisreg=1;
     end; 
end;

*Georgia, cpstate=58, state=13, loop;
if state=13 then do;
     if (date>9311 and date<9701) then do;
          mwapp=1; famcapa=1; sancta=1;
     end;
     if (date>9401 and date<9701) then do;
          mwimp=1; famcapi=1; sancti=1;
     end;
     if (date>9406 and date<9701) then do;
          disregwa=1;
     end;
     if date>=9701 then do;
          tanf=1; ttlimit=48; tfamcap=1; 
     end;
end;

*Hawaii, cpstate=95, state=15 loop;
if state=15 then do;
     if (date>9406 and date<9707) then do;
          mwapp=1; jobsa=1;
     end;
     if (date>9608 and date<9707) then do;
          tlimita=1; disregwa=1;
     end;
     if (date>9702 and date<9707) then do;
          mwimp=1; tlimiti=1; jobsi=1; disregwi=1;
     end;
     if date>=9707 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Idaho, cpstate=82, state=16, loop;
if state=16 then do;
     if (date>9608 and date<9707) then do;
          mwapp=1; jobsa=1; sancta=1;
     end;
     if date>=9707 then do;
          tanf=1; ttlimit=24; tdisreg=1;
     end;     
end;

*Illinois, cpstate=33, state=17, loop;
if state=17 then do;
     if (date>9311 and date<9707) then do;
          mwapp=1; mwimp=1; disregwa=1; disregwi=1;
     end;
     if (date>9509 and date<9707) then do;
          famcapa=1; jobsa=1; sancta=1;
     end;
     if (date>9510 and date<9707) then do;
          sancti=1;
     end;
     if (date>9512 and date<9707) then do;
          famcapi=1;
     end;
     if date>=9707 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end;
end;

*Indiana, cpstate=32, state=18, loop;
if state=18 then do;
     if (date>9412 and date<9610)  then do;
          mwapp=1; tlimita=1; famcapa=1; jobsa=1;sancta=1;
     end;
     if (date>9505 and date<9610)  then do;
          mwimp=1; famcapi=1; jobsi=1;
     end;
     if (date>9706 and date<9610) then do;
          tlimiti=1;
     end;
     if date>=9610 then do;
          tanf=1; ttlimit=24; tfamcap=1; tdisreg=1;
     end;
end;

*Iowa, cpstate=42, state=19, loop;
if state=19 then do;
     if (date>9308 and date<9701) then do;
          mwapp=1; tlimita=1; jobsa=1; disregwa=1; sancta=1;
     end;
     if (date>9310 and date<9701)  then do;         
          mwimp=1; tlimiti=1; jobsi=1; disregwi=1; sancti=1;
     end;
     if date>=9701 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Kansas, cpstate=47, state=20, loop;
if state=20 then do;
     if date>=9610 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Kentucky, cpstate=61, state=21, loop;
if state=21 then do;
     if date>=9610 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Louisiana, cpstate=72, state=22, loop;
if state=22 then do;
     if date>=9701 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Maine, cpstate=11, state=23, loop;
if state=23 then do;
     if (date>9606 and date<9611) then do;
          mwapp=1; jobsa=1;
     end;
     if date>=9611 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Maryland, cpstate=52, state=24, loop;
if state=24 then do;
     if (date>9508 and date<9612) then do;
          mwapp=1; famcapa=1; 
     end;
     if (date>9603 and date<9612) then do;
          mwimp=1; famcapi=1;
     end;
     if (date>9608 and date<9612) then do;
          jobsa=1; disregwa=1; sancta=1;
     end;
     if (date>9610 and date<9612) then do;
          jobsi=1; disregwi=1; sancti=1;
     end;
     if date>=9612 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end;
end;

*Massachusetts, cpstate=14, state=25, loop;
if state=25 then do;
     if (date>9508 and date<9609) then do;
          mwapp=1; workreqa=1; famcapa=1; 
          jobsa=1; disregwa=1; sancta=1;
     end;
     if (date>9511 and date<9609) then do;
          mwimp=1; workreqi=1; famcapi=1; 
          jobsi=1; disregwi=1; sancti=1;
     end;
     if date>=9609 then do;
          tanf=1; ttlimit=24; tfamcap=1; tdisreg=1;
     end;
end;

*Michigan, cpstate=34, state=26, loop;
if state=26 then do;
     if (date>9208 and date<9609)then do;
          mwapp=1; disregwa=1; workreqa=1;
     end;
     if (date>9210 and date<9609) then do;
          mwimp=1; disregwi=1;
     end;
     if (date>9410 and date<9609) then do;
          jobsa=1; jobsi=1; sancta=1; sancti=1;
     end;
     if date>=9609 then do;
          tanf=1; ttlimit=720; tdisreg=1;
     end;
end;

*Minnesota, cpstate=41, state=27, loop;
if state=27 then do;
     if date>=9707 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Mississippi, cpstate=64, state=28, loop;
if state=28 then do;
     if (date>9509 and date<9610) then do;
          mwapp=1; famcapa=1;
     end;
     if (date>9510 and date<9610) then do;
          mwimp=1; famcapi=1;
     end;  
     if date>=9610 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end; 
end;

*Missouri, cpstate=43, state=29, loop;
if state=29 then do;
     if (date>9504 and date<9612) then do;
          mwapp=1; sancta=1; workreqa=1;
     end;
     if (date>9506 and date<9612) then do;
          mwimp=1; sancti=1;
     end;
     if date>=9612 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Montana, cpstate=81, state=30, loop;
if state=30 then do;
     if (date>9504 and date<9702)  then do;
          mwapp=1; workreqa=1; jobsa=1; 
          disregwa=1; sancta=1;
     end;
     if (date>9602 and date<9702)  then do;
          mwimp=1; workreqi=1;
     end;
     if (date>9702 and date<9702) then do;
          jobsi=1; disregwi=1; sancti=1;
     end;
     if date>=9702 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Nebraska, cpstate=46, state=31, loop;
if state=31 then do;
     if (date>9502 and date<9612)  then do;
          mwapp=1; famcapa=1;
     end;
     if (date>9611 and date<9612)  then do;
          mwimp=1; famcapi=1;
     end;
     if date>=9612 then do;
          tanf=1; ttlimit=24; tfamcap=1; tdisreg=1;
     end;
end;

*Nevada, cpstate=88, state=32, loop;
if state=32 then do;
     if date>=9612 then do;
          tanf=1; ttlimit=12; tdisreg=1;
     end;
end;

*New Hampshire, cpstate=12, state=33, loop;
if state=33 then do;
     if (date>9606 and date<9610)  then do;
          mwapp=1; workreqa=1; jobsa=1; disregwa=1; sancta=1;
     end;
     if date>=9610 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*New Jersey, cpstate=22, state=34, loop;
if state=34 then do;
     if (date>9207 and date<9702)  then do;
          mwapp=1; famcapa=1; jobsa=1; disregwa=1; sancta=1;
     end;
     if (date>9210 and date<9702)  then do;
          mwimp=1; famcapi=1; jobsi=1; sancti=1;
     end;
     if date>=9702 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end;
end;

*New Mexico, cpstate=85, state=35, loop;
if state=35 then do;
     if date>=9707 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*New York, cpstate=21, state=36, loop;
if state=36 then do;
     if date>=9612 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*North Carolina, cpstate=56, state=37, loop;
if state=37 then do;
     if (date>9602 and date<9701)  then do;
          mwapp=1; tlimita=1; famcapa=1; jobsa=1; sancta=1;
     end;
     if (date>9607 and date<9701)  then do;
          mwimp=1; tlimiti=1; famcapi=1; jobsi=1; sancti=1;
     end;
     if date>=9701 then do;
          tanf=1; ttlimit=36; tfamcap=1; tdisreg=1;
     end;
end;

*North Dakota, cpstate=44, state=38, loop;
if state=38 then do;
     if date>=9707 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end;
end;

*Ohio, cpstate=31, state=39, loop;
if state=39 then do;
     if (date>9603 and date<9610)  then do;
          mwapp=1; disregwa=1; sancta=1; tlimita=1;
     end;
     if (date>9607 and date<9610)  then do;
          mwimp=1; disregwi=1; sancti=1;
     end;
     if date>=9610 then do;
          tanf=1; ttlimit=24; tdisreg=1;
     end;
end;

*Oklahoma, cpstate=73, state=40, loop;
if state=40 then do;
     if date>=9610 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end;
end;

*Oregon, cpstate=92, state=41, loop;
if state=41 then do;
     if (date>9207 and date<9610) then do;
          mwapp=1; jobsa=1;
     end; 
     if (date>9302 and date<9610)  then do;
          mwimp=1; jobsi=1;
     end;
     if (date>9603 and date<9610)  then do;
          tlimita=1; sancta=1;
     end;
     if (date>9607 and date<9610)  then do;
          tlimiti=1; sancti=1;
     end;
     if date>=9612 then do;
          tanf=1; ttlimit=24; tdisreg=1;
     end;
end;

*Pennsylvania, cpstate=23, state=42, loop;
if state=42 then do;
     if date>=9703 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Rhode Island, cpstate=15, state=44, loop;
if state=44 then do;
     if date>=9703 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*South Carolina, cpstate=57, state=45, loop;
if state=45 then do;
     if (date>9605 and date<9610)  then do;
          mwapp=1; tlimita=1; famcapa=1; jobsa=1; sancta=1;
     end;
     if date>=9610 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end;
end;

*South Dakota, cpstate=45, state=46, loop;
if state=46 then do;
     if (date>9403 and date<9612)  then do;
          mwapp=1; workreqa=1; sancta=1;
     end;
     if (date>9406 and date<9612)  then do;
          mwimp=1; workreqi=1; sancti=1;
     end;
     if date>=9612 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Tennessee, cpstate=62, state=47, loop;
if state=47 then do;
     if (date>9607 and date<9610)  then do;
          mwapp=1; tlimita=1; famcapa=1; jobsa=1;
          disregwa=1; sancta=1;
     end;
     if (date>9609 and date<9610)  then do;
          mwimp=1; jobsi=1; disregwi=1; sancti=1;
     end;
     if (date>9702 and date<9610)  then do;
          famcapi=1;
     end;
     if (date>9703 and date<9610)  then do;
          tlimiti=1;
     end;
     if date>=9610 then do;
          tanf=1; ttlimit=18; tfamcap=1; tdisreg=1;
     end;
end;

*Texas, cpstate=74, state=48, loop;
if state=48 then do;
     if (date>9603 and date<9611)  then do;
          mwapp=1; tlimita=1; jobsa=1; sancta=1;
     end;
     if (date>9606 and date<9611)  then do;
          mwimp=1; jobsi=1; sancti=1;
     end;
     if (date>9709 and date<9611)  then do;
          tlimiti=1;
     end;
     if date>=9611 then do;
          tanf=1; ttlimit=12; tdisreg=1;
     end;
end;

*Utah, cpstate=87, state=49, loop;
if state=49 then do;
     if (date>9210 and date<9610)  then do;
          mwapp=1; jobsa=1; disregwa=1; sancta=1;
     end;
     if (date>9301 and date<9610)  then do;
          mwimp=1; jobsi=1; disregwi=1;
     end;
     if (date>9607 and date<9610)  then do;
          sancti=1; 
     end;
     if date>=9610 then do;
          tanf=1; ttlimit=36; tdisreg=1;
     end;
end;

*Vermont, cpstate=13, state=50, loop;
if state=50 then do;
     if (date>9304 and date<9609)  then do;
          mwapp=1; workreqa=1; jobsa=1; 
          disregwa=1; sancta=1;
     end;
     if (date>9407 and date<9609)  then do;
          mwimp=1; workreqi=1; jobsi=1;
          disregwi=1; sancti=1;
     end;
     if date>=9609 then do;
          tanf=1; ttlimit=720; tdisreg=1;
     end;
end;

*Virginia, cpstate=54, state=51, loop;
if state=51 then do;
     if (date>9507 and date<9702)  then do;
          mwapp=1; mwimp=1; tlimita=1; workreqa=1;
          workreqi=1; famcapa=1; famcapi=1; jobsa=1;
          disregwa=1; sancta=1;
     end;
     if (date>9710 and date<9702)  then do;
          tlimiti=1; jobsi=1; disregwi=1; sancti=1;
     end;
     if date>=9702 then do;
          tanf=1; ttlimit=24; tfamcap=1; tdisreg=1;
     end;
end;

*Washington, cpstate=91, state=53, loop;
if state=53 then do;
     if (date>9509 and date<9701)  then do;
          mwapp=1; tlimita=1;
     end;
     if (date>9601 and date<9701)  then do;
          mwimp=1; tlimiti=1;
     end;
     if date>=9701 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*West Virginia, cpstate=55, state=54, loop;
if state=54 then do;
     if date>=9701 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Wisconsin, cpstate=35, state=55, loop;
if state=55 then do;
     if (date>9406 and date<9609)  then do;
          mwapp=1; famcapa=1;
     end;
     if (date>9508 and date<9609)  then do;
          jobsa=1; sancta=1;
     end;
     if (date>9601 and date<9609)  then do;
          mwimp=1; famcapi=1; jobsi=1; sancti=1;
     end;
     if (date>9609 and date<9609)  then do;
          workreqa=1; workreqi=1;
     end;
     if age<20 then do; /*increased work disregard applies to <20 only*/
          if (date>9204 and date<9609)  then disregwa=1;
          if (date>9407 and date<9609)  then disregwi=1;
     end;
     if date>=9609 then do;
          tanf=1; ttlimit=60; tdisreg=1;
     end;
end;

*Wyoming, cpstate=83, state=56, loop;
if state=56 then do;
     if date>=9701 then do;
          tanf=1; ttlimit=60; tfamcap=1; tdisreg=1;
     end;
end;

 nmwaiva=tlimita+workreqa+famcapa+jobsa+disregwa+sancta;
 nmwaivi=tlimiti+workreqi+famcapi+jobsi+disregwi+sancti;

 if disregwa=1 then carrota=1;
  else carrota=0;

 if disregwi=1 then carroti=1;
  else carroti=0;

 if (tlimita=1 or workreqa=1 or famcapa=1 or jobsa=1 or sancta=1)
  then sticka=1;

  else sticka=0;

 if (tlimiti=1 or workreqi=1 or famcapi=1 or jobsi=1 or sancti=1)
  then sticki=1;
  else sticki=0;

/* Labels for the Welfare Waivers variables       */
 label  mwapp    = 'Major AFDC waiver approved'
        mwimp    = 'Major AFDC waiver implemented'
        nmwaiva  = 'Number of major AFDC waivers approved'
        nmwaivi  = 'Number of major AFDC waivers implemented'
        tlimita  = 'Waiver app: time limit'
        tlimiti  = 'Waiver imp: time limit'
        workreqa = 'Waiver app: work requirement time limit'
        workreqi = 'Waiver imp: work requirement time limit'
        famcapa  = 'Waiver app: family cap'
        famcapi  = 'Waiver imp: family cap'
        jobsa    = 'Waiver app: reduced JOBS exemptions'
        jobsi    = 'Waiver imp: reduced JOBS exemptions'
        disregwa = 'Waiver app: increased earnings disregard'
        disregwi = 'Waiver imp: increased earnings disregard'
        sancta   = 'Waiver app: increased JOBS sanctions'
        sancti   = 'Waiver imp: increased JOBS sanctions'
        carrota  = 'Carrot waiver approved'
        carroti  = 'Carrot waiver implemented'
        sticka   = 'Stick waiver approved'
        sticki   = 'Stick waiver implemented'
        tanf     = 'TANF in effect'
        ttlimit  = 'TANF time limit in months'
        tfamcap  = 'TANF plan has family cap'
/*      tdisreg  = 'TANF earned income disregard higher than AFDC'; */
        tdisreg  = 'TANF earned income disregard > AFDC';

/* UNDO TEMPORARY CHANGE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! */
 if year4 ge 2000 then date=date-200000; /* CHANGE BACK */


